icu::message2::data_model::Reserved::Builder Class Reference

The mutable `Reserved::Builder` class allows the reserved sequence to be constructed one part at a time. More...

`#include <messageformat2_data_model.h>`

Inheritance diagram for icu::message2::data_model::Reserved::Builder:

## Public Member Functions

Builder & | add (Literal &&part, UErrorCode &status) noexcept
| Adds a single literal to the reserved sequence. More...
Reserved | build (UErrorCode &status) const noexcept
| Constructs a new immutable `Reserved` using the list of parts set with previous `add()` calls. More...
| Builder (UErrorCode &status)
| Default constructor. More...
virtual | ~Builder ()
| Destructor. More...
| Builder (const Builder &)=delete
Builder & | operator= (const Builder &)=delete
| Builder (Builder &&)=delete
Builder & | operator= (Builder &&)=delete

## Detailed Description

The mutable `Reserved::Builder` class allows the reserved sequence to be constructed one part at a time.

Builder is not copyable or movable.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

Definition at line 108 of file messageformat2_data_model.h.

## Constructor & Destructor Documentation

## Builder()

icu::message2::data_model::Reserved::Builder::Builder | ( | UErrorCode & | status | ) |

Default constructor.

Returns a builder with an empty Reserved sequence.

param status Input/output error code

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

## ~Builder()

virtual icu::message2::data_model::Reserved::Builder::~Builder | ( |  | ) |

virtual

Destructor.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

## Member Function Documentation

## add()

Builder& icu::message2::data_model::Reserved::Builder::add | ( | Literal && | part,
|  | UErrorCode & | status
| ) |  |

noexcept

Adds a single literal to the reserved sequence.

Parameters

  part | The literal to be added. Passed by move.
  status | Input/output error code

Returns
  A reference to the builder.

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

## build()

Reserved icu::message2::data_model::Reserved::Builder::build | ( | UErrorCode & | status | ) | const

noexcept

Constructs a new immutable `Reserved` using the list of parts set with previous `add()` calls.

The builder object (`this`) can still be used after calling `build()`.

param status Input/output error code

Returns
  The new Reserved object

Internal:
  Do not use. This API is for internal use only. ICU 75 technology preview

Deprecated:
  This API is for technology preview only.

The documentation for this class was generated from the following file:

- i18n/unicode/messageformat2_data_model.h